
getInstallOptions()
{
	if [ -e "$FCSD_TAR" ]; then
		if [ -e "$FCISD_TAR" ]; then
			echo
			
			if [ `cpu_compatibilty_check "$FCSD_TYPE"` -eq 1 -a `cpu_compatibilty_check "$FCISD_TYPE"` -eq 1 ]; then
				echo "You can install the core server, Internet Services, or both."
			elif [ `cpu_compatibilty_check "$FCSD_TYPE"` -eq 1 ]; then
				echo "You can install the core server."
			elif [ `cpu_compatibilty_check "$FCISD_TYPE"` -eq 1 ]; then
				echo "You can install Internet Services."
			fi
			
			if [ `cpu_compatibilty_check "$FCSD_TYPE"` -eq 1 ]; then
				echo -n 'Do you wish to install or upgrade the CORE SERVER on this machine (y/n)? [y]'
				read ANSWER
				if [ "$ANSWER" = "y" ] ||  [ "$ANSWER" = "Y" ] ||  [ "$ANSWER" = "" ] ; then
					INSTALL_CS=1
				else
					INSTALL_CS=0
				fi
			else
				INSTALL_CS=0
			fi
			
			if [ `cpu_compatibilty_check "$FCISD_TYPE"` -eq 1 ]; then
				echo -n 'Do you wish to install or upgrade INTERNET SERVICES on this machine (y/n)? [y]'
				read ANSWER
				if [ "$ANSWER" = "y" ] ||  [ "$ANSWER" = "Y" ] ||  [ "$ANSWER" = "" ] ; then
					INSTALL_IS=1
				else
					INSTALL_IS=0
					
				fi
			else
				INSTALL_IS=0
			fi
			
			if [ -e "$UPGRADE_TAR" ]; then
							if [ -e "$PRIMARY_FID" ]; then
					echo
					echo -n 'Do you wish to upgrade the Network Store (fcns) on this machine (y/n)? [y]'
					read ANSWER
					if [ "$ANSWER" = "y" ] ||  [ "$ANSWER" = "Y" ] ||  [ "$ANSWER" = "" ] ; then
						UPGRADE_FCNS=1
					else
						UPGRADE_FCNS=0
						if [ "$INSTALL_CS" -ne "1" ] && [ "$INSTALL_IS" -ne "1" ]; then
							echo ""
							echo "Nothing to install..."
							if [ ! "$ADDON" = "DEFINED" ]; then
								cleanup
								exit 1
							fi
											INSTALL_CS=0
											INSTALL_IS=0
						fi
					fi
							else
									if [ "$INSTALL_CS" -eq "1" ]; then
										echo ""
										echo "WARNING: This installer can upgrade the core server executables, but it does"
										echo "         not include the files necessary to install a new FCNS content store."
										echo "         For that, you must run the NEW server installer (available separately),"
										echo "         not this server UPGRADE installer."
										echo -n 'Do you wish to continue, installing the executables only (y/n)? [n]'
										read ANSWER
										if [ "$ANSWER" = "n" ] ||  [ "$ANSWER" = "N" ] ||  [ "$ANSWER" = "" ] ; then
											echo ""
											echo "Nothing to install..."
											cleanup
											exit 1
										else
											UPGRADE_FCNS=0
										fi
									else
											if [ "$INSTALL_IS" -ne "1" ]; then
												echo ""
												echo "Nothing to install..."
												cleanup
												exit 1
											fi
									fi
	
							fi
			else
					if [ "$INSTALL_CS" -ne "1" ] && [ "$INSTALL_IS" -ne "1" ]; then
					echo ""
					echo "Nothing to install..."
					if [ ! "$ADDON" = "DEFINED" ]; then
						cleanup
						exit 1
					fi
									INSTALL_CS=0
									INSTALL_IS=0
					fi
			fi
			echo
		else
			echo
			if [ `cpu_compatibilty_check "$FCSD_TYPE"` -eq 1 ]; then
				echo -n 'Do you wish to install or upgrade the CORE SERVER on this machine (y/n)? [y]'
				read ANSWER
				if [ "$ANSWER" = "y" ] ||  [ "$ANSWER" = "Y" ] ||  [ "$ANSWER" = "" ] ; then
					INSTALL_CS=1
					INSTALL_IS=0
				else
					INSTALL_CS=0
				fi
			else
				INSTALL_CS=0
			fi
		
			if [ -e "$UPGRADE_TAR" ]; then
							if [ -e "$PRIMARY_FID" ]; then
					echo
					echo -n 'Do you wish to upgrade the Network Store (fcns) on this machine (y/n)? [y]'
					read ANSWER
					if [ "$ANSWER" = "y" ] ||  [ "$ANSWER" = "Y" ] ||  [ "$ANSWER" = "" ] ; then
						UPGRADE_FCNS=1
					else
						UPGRADE_FCNS=0
						if [ "$INSTALL_CS" -ne "1" ] ; then
							echo ""
							echo "Nothing to install..."
							cleanup
							exit 1
						fi
								fi
							else
									if [ "$INSTALL_CS" -eq "1" ] ; then
										echo ""
						echo "WARNING: This installer can upgrade the core server executables, but it does"
						echo "         not include the files necessary to install a new FCNS content store."
						echo "         For that, you must run the NEW server installer (available separately),"
						echo "         not this server UPGRADE installer."
						echo -n 'Do you wish to continue, installing the executables only (y/n)? [n]'
						read ANSWER
										if [ "$ANSWER" = "n" ] ||  [ "$ANSWER" = "N" ] ||  [ "$ANSWER" = "" ] ; then
											echo ""
											echo "Nothing to install..."
											cleanup
											exit 1
						else
							UPGRADE_FCNS=0
										fi
									else
										echo ""
										echo "Nothing to install..."
										cleanup
										exit 1
									fi
							fi
			else
					if [ "$INSTALL_CS" -ne "1" ]; then
					echo ""
					echo "Nothing to install..."
					cleanup
					exit 1
					fi
			fi
			echo
		fi
	else
		if [ -e "$FCISD_TAR" ]; then
			echo
			if [ `cpu_compatibilty_check "$FCISD_TYPE"` -eq 1 ]; then		
				echo -n 'Do you wish to install or upgrade INTERNET SERVICES on this machine (y/n)? [y]'
				read ANSWER
				if [ "$ANSWER" = "y" ] ||  [ "$ANSWER" = "Y" ] ||  [ "$ANSWER" = "" ] ; then
					INSTALL_CS=0
					INSTALL_IS=1
				else
					echo ""
					echo "Nothing to install..."
					if [ ! "$ADDON" = "DEFINED" ]; then
						cleanup
						exit 1
					fi
									INSTALL_CS=0
									INSTALL_IS=0
				fi
				echo
			else
				echo ""
				echo "Nothing to install..."
				if [ ! "$ADDON" = "DEFINED" ]; then
					cleanup
					exit 1
				fi
						   INSTALL_CS=0
						   INSTALL_IS=0
			fi
		else
			INSTALL_CS=0
			INSTALL_IS=0
			echo ""
	#		echo "Note: No executable tar files found."
		fi
	fi
}

